<template>
  <div id="app">
    <Preloader />
    <template v-if="$store.getters.isLoggedIn">
      <ConsolePage />
    </template>
    <template v-else>
      <LoginPage />
    </template>
  </div>
</template>

<script>
import LoginPage from './pages/LoginPage'
import ConsolePage from './pages/ConsolePage'

import Preloader from './components/Preloader'

export default {
  name: 'app',
  components: {
    LoginPage,
    ConsolePage,
    Preloader
  }
}
</script>

<style lang="scss">
html, body {
  height: 100%;
}

#app {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  color: #2c3e50;
  // font-family: 'Avenir', Helvetica, sans-serif;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  height: 100%;
  text-align: center;
}
</style>
